c This is an example of a subroutine to set the initial triangulation
c
      subroutine inittr
      include 'commons'
c
c set initial triangulation
c
c initial triangulation (with vertex and triangle numbers) is:
c
c  3--7--2
c  |\6|3/|
c  |5\|/4|
c  5--4--8
c  |1/|
c  |/2|
c  1--6
c
c set number of triangles and vertices
c
      nvert = 8
      ntri  = 6
c
c set coordinates of vertices
c
      xvert(1) = -1.
      yvert(1) = -1.
      xvert(2) = 1.
      yvert(2) = 1.
      xvert(3) = -1.
      yvert(3) = 1.
      xvert(4) = 0.
      yvert(4) = 0.
      xvert(5) = -1.
      yvert(5) = 0.
      xvert(6) = 0.
      yvert(6) = -1.
      xvert(7) = 0.
      yvert(7) = 1.
      xvert(8) = 1.
      yvert(8) = 0.
c
c set vertices of triangles
c
      vertex(1,1)=1
      vertex(2,1)=4
      vertex(3,1)=5
      vertex(1,2)=1
      vertex(2,2)=4
      vertex(3,2)=6
      vertex(1,3)=2
      vertex(2,3)=4
      vertex(3,3)=7
      vertex(1,4)=2
      vertex(2,4)=4
      vertex(3,4)=8
      vertex(1,5)=3
      vertex(2,5)=4
      vertex(3,5)=5
      vertex(1,6)=3
      vertex(2,6)=4
      vertex(3,6)=7
c
c Set all the neighbors to be -1 (this is OK when only one boundary piece).
c If bcond checks the boundary piece, set neigh to -ipiece
c when the side opposite the vertex is part of boundary piece ipiece.
c
      do 20 i=1,3
         do 10 j=1,6
            neigh(i,j)=-1
   10    continue
   20 continue
c
      if (outlev.ge.1) then
         write(ioutpt,100)
  100    format(' INITIAL TRIANGULATION'//
     1          ' generated L-shaped domain'/)
      endif
c
      return
      end
